BETA This is a new service – your feedback will help us to improve it.

Devices supported

A 'browser' is a piece of software which lets you view websites. You need to have the right one installed on your device to use the Dstl service.

You need to have one of the following 4 most popular browsers installed on your device to use the Dstl service:

  • Chrome (latest version) – supplied by Google and can be used on either Windows or MacOS
  • Firefox (latest version) – supplied by Mozilla and can be used on either Windows or MacOS
  • Internet Explorer 9 (IE9) and above (IE10 and IE11) – supplied by Microsoft with its latest IT equipment
  • Safari 7 – supplied by Apple with its latest IT equipment

Return to service start